#version 430 core

#include "global.inc"

layout(location = 0) in vec3 position;

out VertexOutput {
	vec3 uv;
} vertexOutput;

void main() {
	
	vertexOutput.uv = position;
	vec3 pos = position + camera.position;

	// set z = w, => always on far plane
	gl_Position = (camera.viewProjection * vec4(pos, 1)).xyww;
}