#version 430 core

//#define NUM_SHADOWMAPS 1

#include "global.inc"

in VertexOutput
{
	vec2 uv;
} vertexOutput;

uniform sampler2D tonemappedScene;
out vec4 fragColor;

void main() {
	
	// Gamma correction
    fragColor = vec4(pow(texture(tonemappedScene, vertexOutput.uv).rgb, vec3(1.0 / 2.2)), 1.0);

    //fragColor = texture(tonemappedScene, vertexOutput.uv);
    #ifdef NUM_SHADOWMAPS
        //fragColor = vec4(texture(shadowMaps[0], vertexOutput.uv).r);
    #endif
}
