#version 430 core

#include "global.inc"

in VertexOutput 
{
	vec3 uv;
} vertexOutput;

uniform samplerCube reflectionProbeTex;

out vec4 fragColor;

void main() 
{
	vec3 lookup = normalize(vertexOutput.uv);
	lookup.y = - lookup.y; 
	//lookup.z = -lookup.z;
	fragColor = vec4(texture(reflectionProbeTex, lookup).rgb, 1.0);
}

